Skip to main content
REST API reference
A newer release of this product is available.

Create an application log

Creates an application log event, specifying details such as the client computer, application source, event ID, and severity. This is useful for generating event records and, if needed, triggering AutoSupport notifications.

HTTP method and endpoint

POST /support/ems/application-logs

Introduced in

ONTAP 9.11

Usage notes

Creates an app.log.* event. Setting the "autosupport_required" flag causes callhome.client.app.* events also to be generated, which in turn triggers AutoSupports.

Required properties

  • computer_name - Client computer connected to the cluster.

  • event_source - Client application that generated this event.

  • app_version - Client application version.

  • event_id - Application eventID.

  • category - Event category.

  • event_description - Event description.

  • severity - Severity of the event.

  • autosupport_required - Indicates whether AutoSupport generation is required.

Parameters

Name Type In Required Description

return_records

boolean

query

False

The default is false. If set to true, the records are returned.

  • Default value:

Request Body

Name Type Description

app_version

string

Client application version.

autosupport_required

boolean

Indicates whether AutoSupport generation is required.

category

string

Event category.

computer_name

string

Client computer connected to the cluster.

event_description

string

Event description, which corresponds to the subject parameter in the generated event.

event_id

integer

Application eventID.

event_source

string

Client application that generated this event.

severity

string

Severity

Example request
{
  "app_version": "3.0.0.2373",
  "autosupport_required": "",
  "category": "Error",
  "computer_name": "W12-R2-DC",
  "event_description": "Clone split job failed",
  "event_id": 10001,
  "event_source": "SnapCenter Software",
  "severity": "error"
}

Response

Status: 201, Created

Error

Status: Default

ONTAP Error Response Codes

Error Code Description

983146

Invalid value specified for the field "severity".

983173

Application log event generation failed.

Definitions

See Definitions

ems_application_log

Input for generation of app.log.x and callhome.client.app.x events.

Name Type Description

app_version

string

Client application version.

autosupport_required

boolean

Indicates whether AutoSupport generation is required.

category

string

Event category.

computer_name

string

Client computer connected to the cluster.

event_description

string

Event description, which corresponds to the subject parameter in the generated event.

event_id

integer

Application eventID.

event_source

string

Client application that generated this event.

severity

string

Severity

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.